<button
  mat-raised-button
  [disabled]="isLoading"
  [color]="color"
  class="main-button"
  (click)="handleClick($event)"
  [ngClass]="{ 'main-button__success': success, 'main-button__failed': failed }"
>

  <div 
  *ngIf="isLoading; else cancelLoading"
  class="progress">
    <mat-spinner 
    color="#fff"
    [diameter]="30"
    [strokeWidth]="3"
    ></mat-spinner>
  </div>

  <ng-template #cancelLoading>
    <mat-icon *ngIf="icon">{{ icon }}</mat-icon>
    <ng-content></ng-content>
  </ng-template>
</button>
